<include src="{{LISTBOX_PATH}}listbox.html" />

<webbox id="ingredientEdit">
<if condition="'{{mode}}'!='hidden'">

<form name="ingredientEdit" onsubmit="return false;">
<input type="submit" class="hidden_submit" value=""
       onclick="this.focus(); save_ingredient();" />
<tr class="list_row_edit">
  <td class="list_nr_edit">#</td>
  <td>
    <if condition="'{{mode}}'=='add'">
      <webobject class="listbox" name="item"
                 value="{{item}}" rs="items" width=" " />
    </if>
    <if condition="'{{mode}}'=='edit'">{{item}}</if>
  </td>
  <td><input type="text" name="unit" value="{{unit}}" /></td>
  <td><input type="text" name="quantity" value="{{quantity}}" /></td>
  <td>
    <a class="button" 
    href="javascript:save_ingredient()">S</a><a class="button"
    href="javascript:cancel_ingredient()">C</a>
  </td>
</tr>
</form>

</if>
</webbox>
